﻿// Copyright (c) 2020 Tudor Stanciu

using Tuitio.Domain.Entities;
using Tuitio.Domain.Models;
using System.Threading.Tasks;
using System;

namespace Tuitio.Domain.Repositories
{
    public interface IUserRepository
    {
        Task<AppUser> GetUser(string userName, string password);
        Task UpdateUserAfterLogin(AppUser user, Token token, string tokenRaw);
        Task<UserToken[]> GetActiveTokens();
        Task RemoveToken(Guid tokenId);
    }
}
