﻿# Tuitio.PublishedLanguage

[Tuitio](https://lab.code-rove.com/gitea/tudor.stanciu/tuitio) is a simple identity server implementation focused strictly on the needs of my home lab.

***Tuitio.PublishedLanguage*** is a nuget package that contains Tuitio's published language. It facilitates communication with a Tuitio instance in a .NET environment by exposing DTOs (Data Transfer Objects) and constants.

## Package repository
Tuitio.PublishedLanguage can be installed from my self hosted NuGet feed: https://lab.code-rove.com/public-nuget-server/

## Installation

### Visual Studio

#### NuGet.config file
```xml=!
<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <packageSources>
    <clear />
    <add key="nuget.org" value="https://api.nuget.org/v3/index.json" />
    <add key="lab.nuget" value="https://lab.code-rove.com/public-nuget-server/v3/index.json" />
  </packageSources>
</configuration>
```

Configure the above file in the Visual Studio solution or set the new NuGet feed in NuGet Package Manager. After one of this steps, Tuitio.PublishedLanguage can be installed using NuGet Package Manager.


### CLI

```bash=!
dotnet add package Tuitio.PublishedLanguage --source https://lab.code-rove.com/public-nuget-server/v3/index.json
```

Run the above command in a console open in a .NET project directory.