﻿// Copyright (c) 2020 Tudor Stanciu

using System;
using System.Collections.Generic;

namespace Tuitio.Domain.Models
{
    public class Token
    {
        public Guid TokenId { get; set; }
        public int UserId { get; set; }
        public string UserName { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string Email { get; set; }
        public string ProfilePictureUrl { get; set; }
        public string SecurityStamp { get; set; }
        public string LockStamp { get; set; }
        public DateTime CreatedAt { get; set; }
        public double ExpiresIn { get; set; }
        public Dictionary<string, string> Claims { get; set; }
    }
}
